std::ranges::split_view::sentinel(3)

NAME
std::ranges::split_view::sentinel - std::ranges::split_view::sentinel

Synopsis
   class /*sentinel*/; (since C++20)
                        (exposition only*)
   The return type of split_view::end when the underlying view type (V) does not models
   common_range.

Member functions
   constructor constructs a sentinel
   (C++20) (public member function) std::ranges::split_view::sentinel::sentinel
   /*sentinel*/() = default; (1) (since C++20)
   constexpr explicit /*sentinel*/( ranges::split_view& parent ); (2) (since C++20)
   1) Value-initializes end_ via its default member initializer (=
   ranges::sentinel_t<V>()).
   2) Initializes end_ with ranges::end(parent.base_).

Non-member functions
   operator== compares the underlying iterator and the underlying sentinel
   (C++20) (function) operator==(std::ranges::split_view::iterator, std::ranges::split_view::sentinel)
   friend constexpr bool operator==( const /*iterator*/& x, (since C++20)
                        const /*sentinel*/& y );
   Equivalent to return x.cur_ == y.end_ and !x.trailing_empty_;.
   The != operator is synthesized from operator==.
   This function is not visible to ordinary unqualified or qualified lookup, and can
   only be found by argument-dependent lookup when std::ranges::split_view::sentinel is
   an associated class of the arguments.